#include <bits/stdc++.h>
using namespace std;

#define int long long

signed main() {
	
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	
	int n, q, brojac=0, j=0;
	cin >>n >> q;
	
	int d[n], p[n];
	
	for(int i=0; i<n; i++) {
		cin >> d[i] >> p[i];
	}
	
	cin >> q;
	
	n=0;
	for(int i=1; i<q+1; i++){
		
		
		if(i==d[j]){
			n+=p[j];
			j++;
		}
		
		if(n>0){
		brojac++;
		n--;
		}
		
		
	}
	cout<<brojac<<endl;
	
	return 0;
}